package com.yanzuoguang.util.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 日志实例
 *
 * @author 颜佐光
 */

@ApiModel(value = "日志对象")
public class LogVo extends BaseVo {

    private static final long serialVersionUID = -8629960247077620458L;

    /**
     * 日志id
     */
    @ApiModelProperty(value = "日志Id", required = true, example = "{{$uuid}}")
    private String logId;

    /**
     * 工程实例名
     */
    @ApiModelProperty(value = "项目名称", required = true, example = "tbd-order")
    private String logSources;

    /**
     * 请求接口地址
     */
    @ApiModelProperty(value = "接口地址", required = true, example = "/order/save")
    private String interUrl;

    /**
     * 请求内容
     */
    @ApiModelProperty(value = "请求内容", required = true, example = "{}")
    private String content;

    /**
     * 返回参数
     */
    @ApiModelProperty(value = "返回结果", required = true, example = "{}")
    private String result;

    /**
     * 接口处理状态，是否有异常
     */
    @ApiModelProperty(value = "执行状态", notes = "0表示成功,1表示失败", required = true, example = "0")
    private int status;

    /**
     * 使用时间
     */
    @ApiModelProperty(value = "执行耗时", notes = "单位(毫秒)", required = true, example = "20")
    private int useTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", notes = "单位(毫秒)", required = false, example = "1987-11-24 23:15:18")
    private String createDate;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getLogSources() {
        return logSources;
    }

    public void setLogSources(String logSources) {
        this.logSources = logSources;
    }

    public String getInterUrl() {
        return interUrl;
    }

    public void setInterUrl(String interUrl) {
        this.interUrl = interUrl;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getUseTime() {
        return useTime;
    }

    public void setUseTime(int useTime) {
        this.useTime = useTime;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

}
